Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | Movie

Name

### duration()

Examples

    import processing.video.*;
    Movie myMovie;

    void setup() {
      size(200, 200);
      frameRate(30);
      myMovie = new Movie(this, "totoro.mov");
      // Prints the duration of the movie
      println(myMovie.duration());
      myMovie.play();
    }

    void draw() {
      if(myMovie.available()) {
        myMovie.read();
      }
      image(myMovie, 0, 0);
    }

Description | Returns the length of the movie in seconds. If the movie is 1 minute and 20 seconds long the value returned will be 80.0.

Syntax

    mov.duration()

Parameters

mov | any variable of type Movie

Returns | float
Usage | Web & Application

Updated on November 22, 2008 08:39:22pm PST